Send a chat message
Causes the bot to send a chat message in the meeting.
Path Parameters
- Type: stringobject
_id requiredBot ID
Headers
- Type: stringAuthorizationrequired
API key for authentication
- Type: stringContent
- Type requiredShould always be application/json
Body·
required
application/json
- Type: stringmessagemin length:1required
The message text to send. Does not support emojis currently. For Microsoft Teams, you can use basic HTML tags to format the message including
,
, , , and . - Type: string · enumto
Who to send the message to.
everyone- everyonespecific_user- specific_usereveryone_but_host- everyone_but_host
values- everyone
- specific
_user - everyone
_but _host
- Type: string | nullto
_user _uuid max length:255The UUID of the user to send the message to. Required if 'to' is 'specific_user'.
Responses
- 200
Chat message request created successfully
- 400
Invalid input
- 404
Bot not found
Request Example for post/api/v1/bots/{object_id}/send_chat_message
curl https://app.attendee.dev/api/v1/bots/bot_xxxxxxxxxxx/send_chat_message \
--request POST \
--header 'Authorization: Token YOUR_API_KEY_HERE' \
--header 'Content-Type: application/json' \
--data '{
"to": "everyone",
"message": "Hello everyone, I'\''m here to record and summarize this meeting."
}'
No Body